"use strict";
var core_1 = require('@angular/core');
var HighlighterDirective = (function () {
    function HighlighterDirective(eltRef) {
        this.eltRef = eltRef;
    }
    HighlighterDirective.prototype.ngAfterViewInit = function () {
        this.eltRef.nativeElement.innerHTML = Prism.highlight(this.content, Prism.languages[this.language]);
    };
    __decorate([
        core_1.Input(), 
        __metadata('design:type', String)
    ], HighlighterDirective.prototype, "language", void 0);
    __decorate([
        core_1.Input(), 
        __metadata('design:type', String)
    ], HighlighterDirective.prototype, "content", void 0);
    HighlighterDirective = __decorate([
        core_1.Directive({
            selector: '[highlighter]'
        }), 
        __metadata('design:paramtypes', [core_1.ElementRef])
    ], HighlighterDirective);
    return HighlighterDirective;
}());
exports.HighlighterDirective = HighlighterDirective;
//# sourceMappingURL=highlighter.directive.js.map